class Vector3D {

public :

	// constructors

	Vector3D();
	Vector3D( /*in*/ float, /*in*/ float, /*in*/ float );

	// operators

	void assign  ( Vector3D & );
	void add     ( Vector3D & );
	void multiply( float      );

	// data members

	float fX;
	float fY;
	float fZ;
};

// EOF